Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1480)

Unified Diff: remoting/host/installer/mac/PrivilegedHelperTools/org.chromium.chromoting.me2me.sh

Issue 10413065: Restart Mac pref-pane if version mismatch detected (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src
Patch Set: Address review comments Created 8 years, 7 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | remoting/host/me2me_preference_pane.h » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: remoting/host/installer/mac/PrivilegedHelperTools/org.chromium.chromoting.me2me.sh
diff --git a/remoting/host/installer/mac/PrivilegedHelperTools/org.chromium.chromoting.me2me.sh b/remoting/host/installer/mac/PrivilegedHelperTools/org.chromium.chromoting.me2me.sh
index 664087bcb5297c32b9d24fb5bf65736b743d4de4..0a4f0f3735f47be0055743a1acc565c95e1088c0 100755
--- a/remoting/host/installer/mac/PrivilegedHelperTools/org.chromium.chromoting.me2me.sh
+++ b/remoting/host/installer/mac/PrivilegedHelperTools/org.chromium.chromoting.me2me.sh
@@ -10,6 +10,7 @@ HOST_EXE=$CONFIG_DIR/$NAME.me2me_host.app/Contents/MacOS/remoting_me2me_host
PLIST_FILE=$CONFIG_DIR/$NAME.me2me_host.app/Contents/Info.plist
ENABLED_FILE=$CONFIG_DIR/$NAME.me2me_enabled
CONFIG_FILE=$CONFIG_DIR/$NAME.json
+PREF_PANE_BUNDLE=/Library/PreferencePanes/$NAME.prefPane
# The exit code returned by 'wait' when a process is terminated by SIGTERM.
SIGTERM_EXIT_CODE=143
@@ -85,6 +86,11 @@ elif [[ "$1" = "--save-config" ]]; then
cat > "$CONFIG_FILE"
elif [[ "$1" = "--host-version" ]]; then
PlistBuddy -c "Print CFBundleVersion" "$PLIST_FILE"
+elif [[ "$1" = "--relaunch-prefpane" ]]; then
+ # Wait for the parent (System Preferences applet) to die, by reading from
+ # stdin until the pipe is broken.
+ cat 2>/dev/null || true
+ open "$PREF_PANE_BUNDLE"
elif [[ "$1" = "--run-from-launchd" ]]; then
run_host
else
« no previous file with comments | « no previous file | remoting/host/me2me_preference_pane.h » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698